body{
    width: 100vw;
    
    box-sizing: border-box;
    background-color: #222831;
    overflow-x: hidden;

    font-family: 'Roboto', sans-serif;
}

main{
    margin-top: 112px;
}

nav{
    padding: 30px;
    box-sizing: border-box;

    display: flex;
    justify-content: center;

    border-bottom: 1px solid #393E46;
    background-color: #222831;

    position: fixed;
    width: 100vw;
    height: 112px;
    top: 0px;
    z-index: 5;
}

nav > ul{
    display: flex;
    gap: 20px;
}

nav > ul > li > a{
    text-decoration: none;
    color: #EEEEEE;
    font-size: 30px;
    padding: 10px 20px;
    margin: 0px;
    border: 3px solid #393E46;
    
    transition: 0.5s;
}

nav > ul > li > a:hover{
    background-color: #393E46;
}

.active-navlink{
    background-color: #393E46;
}

h1{
    width: 100%;
    padding: 10px;
    margin: 20px 0px;

    text-align: center;
    font-weight: 800;
    font-size: 40px;
    color: #EEEEEE;
    
}
/* footer */

footer{
    color: #EEEEEE;
    padding: 40px 100px;
    background-color: #393E46;

    display: flex;
    justify-content: center;
    gap: 50px;
}

footer > .social-link > a{
    display: flex;
    align-items: center;
    gap: 5px;

    text-decoration: none;
    text-align: center;
    color: #EEEEEE;
    padding: 10px 20px;
    border: 1px solid #EEEEEE;
    transition: 0.5s;
}

.social-link > a:hover{
    color: black;
    background-color: #EEEEEE;
}

.social-link > a > i{
    font-size: 30px;
}

/* navbar responsivness */

.checkbtn{
    font-size: 50px;
    color: #EEEEEE;
    margin-right: 40px;
    cursor: pointer;

    display: none;
}

#check{
    display: none;
}

@media (max-width: 952px){
    .checkbtn{
        display: block;
        margin-right: 0px;
        
    }

    nav > ul{
        position: fixed;
        z-index: 5;
        height: 100vh;
        width: 100%;
        top: 110px;
        left: -100%;
        background-color: #393E46;

        flex-direction: column;
        align-items: center;

        transition: 0.5s;
    }

    nav > ul > li{
        margin: 30px 0px;
    }

    nav > ul > li > a{
        border: 3px solid #222831;
    }
    
    nav > ul > li > a:hover{
        background-color: #222831;
    }

    .active-navlink{
        background-color: #222831;
    }

    #check:checked ~ ul{
        left: 0;
    }
}
